IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE]') AND type in (N'U'))
BEGIN
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'CST_ICMS')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (3,'Código de Situação Tributária do ICMS','CST_ICMS','<CST> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_ICMS')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (11,'Base de Cálculo do ICMS para Operação Própria','VALOR_BASE_ICMS','<vBC> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_ICMS')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (12,'Valor do ICMS','VALOR_ICMS','<vICMS> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_IPI')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (18,'Valor da Base de Cálculo do IPI','VALOR_BASE_IPI','<vBC> vinculado ao <IPITrib><IPI>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_IPI')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (19,'Valor do IPI','VALOR_IPI','<vIPI> vinculado ao <IPITrib> <IPI>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'ALIQUOTA_IPI')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (17,'Alíquota do IPI','ALIQUOTA_IPI','<pIPI> vinculado ao <IPITrib> <IPI>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'ALIQUOTA_ICMS')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (10,'Alíquota do ICMS para Operação Própria','ALIQUOTA_ICMS','<pICMS> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_ICMS_ST')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (15,'Valor da Base de Cálculo do ICMS ST','VALOR_BASE_ICMS_ST','<vBCST> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_ICMS_ST')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (16,'Valor do ICMS ST','VALOR_ICMS_ST','<vICMSST> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'PERC_IVA_ST')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (13,'Percentual da margem de valor Adicionado do ICMS ST','PERC_IVA_ST','<pMVAST> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'PERC_RED_BASE_ICMS')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (20,'Percentual da Redução de Base de Cálculo','PERC_RED_BASE_ICMS','<pRedBC> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'PERC_RED_BASE_ICMS_ST')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (21,'Percentual da Redução de Base de Cálculo do ICMS ST','PERC_RED_BASE_ICMS_ST','<pRedBCST> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'ALIQUOTA_ICMS_ST')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (14,'Alíquota do imposto do ICMS ST','ALIQUOTA_ICMS_ST','<pICMSST> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_ICMS_RET')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (29,'Valor da Base de Cálculo do ICMS ST retido','VALOR_BASE_ICMS_RET','<vBCSTRet> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_ICMS_RET')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (30,'Valor do ICMS retido','VALOR_ICMS_RET','<vICMSSTRet> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_FECOP_ST')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (44,'Valor da Base de Cálculo do FCP retido por Substituição Tributária','VALOR_BASE_FECOP_ST','<vBCFCPST> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'PERC_FECOP_ST')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (45,'Percentual do FCP retido por Substituição Tributária','PERC_FECOP_ST','<pFCPST> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_FECOP_ST')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (46,'Valor do FCP retido por Substituição Tributária','VALOR_FECOP_ST','<vFCPST> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_FECOP_ST_RET')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (47,'Valor da Base de Cálculo do FCP retido anteriormente por ST','VALOR_BASE_FECOP_ST_RET','<vBCFCPSTRet> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'PERC_FECOP_ST_RET')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (48,'Percentual do FCP retido anteriormente por Substituição Tributária','PERC_FECOP_ST_RET','<pFCPSTRet> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_FECOP_ST_RET')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (49,'Valor do FCP retido anteriormente por Substituição Tributária','VALOR_FECOP_ST_RET','<vFCPSTRet> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_FECOP')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (50,'Valor da Base de Cálculo do FCP','VALOR_BASE_FECOP','<vBCFCP> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'PERC_FECOP')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (51,'Percentual do Fundo de Combate à Pobreza (FCP)','PERC_FECOP','<pFCP> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_FECOP')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (52,'Valor do Fundo de Combate à Pobreza (FCP)','VALOR_FECOP','<vFCP> vinculado ao <ICMS> <imposto>',0,2,NULL,NULL,NULL)
	END
	IF NOT EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'NCM')
	BEGIN
	INSERT INTO EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE 
		VALUES (53,'Nomenclatura Comum do Mercosul','NCM','<NCM> vinculado ao <prod>',0,2,NULL,NULL,NULL)
	END

END	
